Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#26 26-01-2022 16:30:03

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

Mais pourquoi chercher le paquet libwxsvg ? smile

C'est libwxsvg-dev qu'il nous faut big_smile donc bien dispo

EDIT
Merd.... je me suis gourré dans mon post 20 mille excuses !!!!! hmm

Dernière modification par golgot200 (26-01-2022 16:37:21)

Hors ligne

#27 26-01-2022 16:36:30

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

Debian Alain a écrit :

...

tu veux que j'efface mon post ?



Non, pas la peine wink

Hors ligne

#28 26-01-2022 16:40:21

robert2a
Membre
Distrib. : Buster 10 version 10.11
Noyau : kernel buster backports
(G)UI : Mate
Inscription : 15-11-2014

Re : Compilation sources LOGICIEL MP4Tools-3.8

@golgot200
donne moi les commandes j'ai le sources dans mon home sous buster


ls -l
total 476
-rw-r--r-- 1 robert robert  53818 nov.  24  2019 aclocal.m4
-rw-r--r-- 1 robert robert   1380 nov.  24  2019 AUTHORS
-rwxr-xr-x 1 robert robert     57 nov.  24  2019 autogen.sh
-rwxr-xr-x 1 robert robert    287 nov.  24  2019 build_release.sh
-rw-r--r-- 1 robert robert   3448 nov.  24  2019 ChangeLog
-rwxr-xr-x 1 robert robert   7383 nov.  24  2019 compile
-rwxr-xr-x 1 robert robert 195285 nov.  24  2019 configure
-rw-r--r-- 1 robert robert   3554 nov.  24  2019 configure.ac
-rw-r--r-- 1 robert robert  14886 nov.  24  2019 COPYING
-rw-r--r-- 1 robert robert  20334 nov.  24  2019 depcomp
-rw-r--r-- 1 robert robert   1153 nov.  24  2019 Info.plist.in
-rw-r--r-- 1 robert robert   1163 nov.  24  2019 InfoSplitter.plist.in
-rw-r--r-- 1 robert robert    228 nov.  24  2019 INSTALL
drwxr-xr-x 3 robert robert   4096 nov.  24  2019 installer
-rw-r--r-- 1 robert robert  13998 nov.  24  2019 install-sh
drwxr-xr-x 4 robert robert   4096 nov.  24  2019 locale
-rw-r--r-- 1 robert robert   3601 nov.  24  2019 Makefile.am
-rw-r--r-- 1 robert robert  31080 nov.  24  2019 Makefile.in
-rw-r--r-- 1 robert robert  10346 nov.  24  2019 missing
-rw-r--r-- 1 robert robert   3587 nov.  24  2019 MP4Joiner.cbp
-rw-r--r-- 1 robert robert   3108 nov.  24  2019 MP4Splitter.cbp
-rw-r--r-- 1 robert robert   5667 nov.  24  2019 pad-osx.xml
-rw-r--r-- 1 robert robert   5668 nov.  24  2019 pad.xml
-rw-r--r-- 1 robert robert    373 nov.  24  2019 README
drwxr-xr-x 2 robert robert   4096 nov.  24  2019 resources
drwxr-xr-x 2 robert robert   4096 nov.  24  2019 src
drwxr-xr-x 2 robert robert   4096 nov.  24  2019 wxsmith
-rw-r--r-- 1 robert robert  39416 nov.  24  2019 wxwin.m4
 

Dernière modification par robert2a (26-01-2022 16:42:56)


Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

#29 26-01-2022 16:40:47

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

@robert2a


    Distrib. : Debian10 (Buster) Amd64
    Noyau : 4.19.18
    (G)UI : Mate
 



J'avais même pas fait gaffe. wink

Hors ligne

#30 26-01-2022 16:42:32

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

robert2a a écrit :

@golgot200
donne moi les commandes j'ai le sources dans mon home sous buster



Ok, je te post ça et comme tu peux installer checkinstall, je te post la commande qui va bien aussi wink

Hors ligne

#31 26-01-2022 16:53:00

robert2a
Membre
Distrib. : Buster 10 version 10.11
Noyau : kernel buster backports
(G)UI : Mate
Inscription : 15-11-2014

Re : Compilation sources LOGICIEL MP4Tools-3.8

je fais ceci


apt policy checkinstall
checkinstall:
  Installé : (aucun)
  Candidat : 1.6.2+git20170426.d24a630-2~bpo10+1
 Table de version :
     1.6.2+git20170426.d24a630-2~bpo10+1 100
        100 https://deb.debian.org/debian buster-backports/main amd64 Packages
 


je l'installe a partir des backports ?

fait smile
et j' attend wink

Dernière modification par robert2a (26-01-2022 16:55:34)


Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

#32 26-01-2022 17:00:43

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

Si tu veux oui, pourquoi pas. Après tu le vire. wink

Hors ligne

#33 26-01-2022 17:02:23

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

Donc pour l'instant fais moi juste :

autoupdate
./autogen.sh  
./configure
make
 

Hors ligne

#34 26-01-2022 17:02:30

robert2a
Membre
Distrib. : Buster 10 version 10.11
Noyau : kernel buster backports
(G)UI : Mate
Inscription : 15-11-2014

Re : Compilation sources LOGICIEL MP4Tools-3.8

j'installe ceci   libwxsvg-dev


Les NOUVEAUX paquets suivants seront installés :
  gir1.2-harfbuzz-0.0 icu-devtools libart-2.0-dev libavcodec-dev libavformat-dev libavutil-dev libblkid-dev libcairo-script-interpreter2
  libcairo2-dev libdrm-dev libexpat1-dev libfontconfig1-dev libfreetype6-dev libfribidi-dev libgl1-mesa-dev libgles1 libglib2.0-dev
  libglib2.0-dev-bin libglu1-mesa-dev libglvnd-core-dev libglvnd-dev libgraphite2-dev libharfbuzz-dev libharfbuzz-gobject0 libice-dev
  libicu-dev liblzo2-2 libmount-dev libpango1.0-dev libpcre16-3 libpcre3-dev libpcre32-3 libpcrecpp0v5 libpixman-1-dev libpng-dev
  libpng-tools libselinux1-dev libsepol1-dev libsm-dev libswresample-dev libswscale-dev libwxbase3.0-0v5 libwxbase3.0-dev libwxgtk3.0-0v5
  libwxgtk3.0-dev libwxsvg-dev libwxsvg3 libx11-dev libx11-xcb-dev libxcb-dri2-0-dev libxcb-dri3-dev libxcb-glx0-dev libxcb-present-dev
  libxcb-randr0-dev libxcb-render0-dev libxcb-shape0-dev libxcb-shm0-dev libxcb-sync-dev libxcb-xfixes0-dev libxdamage-dev libxext-dev
  libxfixes-dev libxft-dev libxrender-dev libxshmfence-dev libxxf86vm-dev mesa-common-dev pango1.0-tools pkg-config uuid-dev wx-common
  wx3.0-headers x11proto-damage-dev x11proto-fixes-dev x11proto-xext-dev x11proto-xf86vidmode-dev xtrans-dev
0 mis à jour, 77 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 36,7 Mo/38,8 Mo dans les archives.
Après cette opération, 153 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n]
 



quoi d'autres ?


Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

#35 26-01-2022 17:05:11

robert2a
Membre
Distrib. : Buster 10 version 10.11
Noyau : kernel buster backports
(G)UI : Mate
Inscription : 15-11-2014

Re : Compilation sources LOGICIEL MP4Tools-3.8

au second erreur


autoupdate  => ok

robert@kabylake1:~/Documents/MP4Tools/MP4Tools-3.8$ ./autogen.sh
configure.ac:44: error: possibly undefined macro: AC_MSG_ERROR
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
 


Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

#36 26-01-2022 17:07:13

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

robert2a a écrit :

au second erreur


autoupdate  => ok

robert@kabylake1:~/Documents/MP4Tools/MP4Tools-3.8$ ./autogen.sh
configure.ac:44: error: possibly undefined macro: AC_MSG_ERROR
      If this token and others are legitimate, please use m4_pattern_allow.
      See the Autoconf documentation.
 



C'est pas grave, je l'ai aussi wink

Dernière modification par golgot200 (26-01-2022 17:08:01)

Hors ligne

#37 26-01-2022 17:08:59

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

robert2a a écrit :

j'installe ceci   libwxsvg-dev


Les NOUVEAUX paquets suivants seront installés :
  gir1.2-harfbuzz-0.0 icu-devtools libart-2.0-dev libavcodec-dev libavformat-dev libavutil-dev libblkid-dev libcairo-script-interpreter2
  libcairo2-dev libdrm-dev libexpat1-dev libfontconfig1-dev libfreetype6-dev libfribidi-dev libgl1-mesa-dev libgles1 libglib2.0-dev
  libglib2.0-dev-bin libglu1-mesa-dev libglvnd-core-dev libglvnd-dev libgraphite2-dev libharfbuzz-dev libharfbuzz-gobject0 libice-dev
  libicu-dev liblzo2-2 libmount-dev libpango1.0-dev libpcre16-3 libpcre3-dev libpcre32-3 libpcrecpp0v5 libpixman-1-dev libpng-dev
  libpng-tools libselinux1-dev libsepol1-dev libsm-dev libswresample-dev libswscale-dev libwxbase3.0-0v5 libwxbase3.0-dev libwxgtk3.0-0v5
  libwxgtk3.0-dev libwxsvg-dev libwxsvg3 libx11-dev libx11-xcb-dev libxcb-dri2-0-dev libxcb-dri3-dev libxcb-glx0-dev libxcb-present-dev
  libxcb-randr0-dev libxcb-render0-dev libxcb-shape0-dev libxcb-shm0-dev libxcb-sync-dev libxcb-xfixes0-dev libxdamage-dev libxext-dev
  libxfixes-dev libxft-dev libxrender-dev libxshmfence-dev libxxf86vm-dev mesa-common-dev pango1.0-tools pkg-config uuid-dev wx-common
  wx3.0-headers x11proto-damage-dev x11proto-fixes-dev x11proto-xext-dev x11proto-xf86vidmode-dev xtrans-dev
0 mis à jour, 77 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 36,7 Mo/38,8 Mo dans les archives.
Après cette opération, 153 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n]
 



quoi d'autres ?




ça te suffit pas ? big_smile big_smile big_smile

EDIT : ça fait peur big_smile

Dernière modification par golgot200 (26-01-2022 17:09:36)

Hors ligne

#38 26-01-2022 17:09:13

robert2a
Membre
Distrib. : Buster 10 version 10.11
Noyau : kernel buster backports
(G)UI : Mate
Inscription : 15-11-2014

Re : Compilation sources LOGICIEL MP4Tools-3.8

c'est bon pour "./autogen.sh"  (oublier de lancer l'installation de "libwxsvg-dev"   old_geek.gif

roll


./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
/home/robert/Documents/MP4Tools/MP4Tools-3.8/missing: Unknown `--is-lightweight' option
Try `/home/robert/Documents/MP4Tools/MP4Tools-3.8/missing --help' for more information
configure: WARNING: 'missing' script is too old or missing
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for install location... /usr/local
checking whether ln -s works... yes
checking for ranlib... ranlib
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking whether gcc understands -c and -o together... yes
checking whether make supports the include directive... yes (GNU style)
checking dependency style of gcc... gcc3
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking dependency style of g++... gcc3
checking how to run the C++ preprocessor... g++ -E
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for wx-config... /usr/bin/wx-config
checking for wxWidgets version >= 2.8.7... yes (version 3.0.4)
checking for wxWidgets static library... no
checking for LIBAV... no
configure: error: Package requirements (libavformat >= 53.20.0 libavcodec >= 53.34.0 libavutil libswscale libavfilter >= 2.15.0) were not met:

No package 'libavfilter' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables LIBAV_CFLAGS
and LIBAV_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
 



manque quelque chose

Dernière modification par robert2a (26-01-2022 17:11:19)


Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

#39 26-01-2022 17:10:44

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

Tu as fais jusqu'au make ?

Hors ligne

#40 26-01-2022 17:11:39

robert2a
Membre
Distrib. : Buster 10 version 10.11
Noyau : kernel buster backports
(G)UI : Mate
Inscription : 15-11-2014

Re : Compilation sources LOGICIEL MP4Tools-3.8

non regarde au dessus
c'est une buster minimale avec un mate minimal , doit manquer des choses .

Dernière modification par robert2a (26-01-2022 17:13:46)


Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

#41 26-01-2022 17:17:43

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

apt policy libavfilter-dev

Dernière modification par golgot200 (26-01-2022 17:17:56)

Hors ligne

#42 26-01-2022 17:23:55

robert2a
Membre
Distrib. : Buster 10 version 10.11
Noyau : kernel buster backports
(G)UI : Mate
Inscription : 15-11-2014

Re : Compilation sources LOGICIEL MP4Tools-3.8

installé => libavfilter-dev libpostproc-dev
ps: aussi le libwxsvg-tools  pour le fun  cool

plus que cette erreur , pour le "./configure"


configure: error:
    MP4Joiner requires the wxSVG library with ffmpeg/libav support.
 


Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

#43 26-01-2022 17:27:14

robert2a
Membre
Distrib. : Buster 10 version 10.11
Noyau : kernel buster backports
(G)UI : Mate
Inscription : 15-11-2014

Re : Compilation sources LOGICIEL MP4Tools-3.8

voila le retour complet


./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
/home/robert/Documents/MP4Tools/MP4Tools-3.8/missing: Unknown `--is-lightweight' option
Try `/home/robert/Documents/MP4Tools/MP4Tools-3.8/missing --help'
for more information
configure: WARNING: 'missing' script is too old or missing
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for install location... /usr/local
checking whether ln -s works... yes
checking for ranlib... ranlib
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking whether gcc understands -c and -o together... yes
checking whether make supports the include directive... yes (GNU style)
checking dependency style of gcc... gcc3
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking dependency style of g++... gcc3
checking how to run the C++ preprocessor... g++ -E
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for wx-config... /usr/bin/wx-config
checking for wxWidgets version >= 2.8.7... yes (version 3.0.4)
checking for wxWidgets static library... no
checking for LIBAV... yes
checking for libavformat/avformat.h... yes
checking for wxSVG... yes
checking for wxSVG library with ffmpeg/libav support... no
configure: error:
    MP4Joiner requires the wxSVG library with ffmpeg/libav support.
 


Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

#44 26-01-2022 17:27:57

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

Un:


checkinstall
 



dans le dossier pour voir la création du deb sans installation. Tu suis ce qu'il te dit pour les quelques petits renseignements à donner smile

Hors ligne

#45 26-01-2022 17:29:30

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8


configure: error:
    MP4Joiner requires the wxSVG library with ffmpeg/libav support.
 



Tu as toujours cette erreur avec libwxsvg-dev d'installé ???

Dernière modification par golgot200 (26-01-2022 17:30:19)

Hors ligne

#46 26-01-2022 17:33:31

robert2a
Membre
Distrib. : Buster 10 version 10.11
Noyau : kernel buster backports
(G)UI : Mate
Inscription : 15-11-2014

Re : Compilation sources LOGICIEL MP4Tools-3.8

a partir de la console je fais quoi ?


checkinstall

checkinstall 1.6.3, Copyright 2010 Felipe Eduardo Sanchez Diaz Duran
           This software is released under the GNU GPL.


The package documentation directory ./doc-pak does not exist.
Should I create a default set of package docs?  [y]:

Preparing package documentation...OK

Please write a description for the package.
End your description with an empty line or EOF.
>>
 


tongue

oui toujours l'erreur avec le "dev"


libwxsvg-dev:
  Installé : 2:1.5.15+dfsg.2-1
  Candidat : 2:1.5.15+dfsg.2-1
 



donc pas fais encore le "make"

Dernière modification par robert2a (26-01-2022 17:35:57)


Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

#47 26-01-2022 17:36:41

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

Ben rien si le make n'est pas allé au bout hmm

Hors ligne

#48 26-01-2022 17:38:40

robert2a
Membre
Distrib. : Buster 10 version 10.11
Noyau : kernel buster backports
(G)UI : Mate
Inscription : 15-11-2014

Re : Compilation sources LOGICIEL MP4Tools-3.8

format "empty line or EOF" tu connais (sans balise il prend pas  smile   )

il me manque quelque chose pour finir le ./configure (en plus du fameux "dev" ) , le make n'a aucune cible (normal il va pas au bout le ./configure )
tu a un paquet (ou plusieurs) que je n'ai pas .

Dernière modification par robert2a (26-01-2022 17:45:07)


Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

#49 26-01-2022 17:44:12

golgot200
Membre
Distrib. : Archlinux 2018-02-03
Noyau : 5.18.9-arch1-1
(G)UI : Mate (Strict Minimum)
Inscription : 05-08-2007

Re : Compilation sources LOGICIEL MP4Tools-3.8

Dis moi regarde au niveau des paquets wxwidgets sur ton installation minimale. Il se peut que ça bloque ici (peut-être) car sous arch pour compiler, il a fallu que j'installe ces paquets :


wxgtk-common wxgtk3 wxgtk2 wxsvg gpac



Je suis sous Arch en minimal

EDIT: je te laisse quelques instants pour récupérer ma moitiée @++

Dernière modification par golgot200 (26-01-2022 17:46:12)

Hors ligne

#50 26-01-2022 17:46:42

robert2a
Membre
Distrib. : Buster 10 version 10.11
Noyau : kernel buster backports
(G)UI : Mate
Inscription : 15-11-2014

Re : Compilation sources LOGICIEL MP4Tools-3.8

j' installe le gpac


apt policy wxgtk-common wxgtk3 wxgtk2 wxsvg gpac
gpac:
  Installé : (aucun)
  Candidat : 0.5.2-426-gc5ad4e4+dfsg5-5
 Table de version :
     0.5.2-426-gc5ad4e4+dfsg5-5 500
        500 https://deb.debian.org/debian buster/main amd64 Packages
N: Impossible de trouver le paquet wxgtk-common
N: Impossible de trouver le paquet wxgtk3
N: Impossible de trouver le paquet wxgtk2
N: Impossible de trouver le paquet wxsvg
 




Les paquets supplémentaires suivants seront installés :
  gpac-modules-base liba52-0.7.4 libfaad2 libfreenect0.5 libgpac4 libmad0
 


et je teste

idem


configure: error:
    MP4Joiner requires the wxSVG library with ffmpeg/libav support.
 

Dernière modification par robert2a (26-01-2022 17:49:08)


Machines : kabylake I7 7700 , AMD 1700(X) ,AMD threadripper gen1 , AMD Raven R3 2200G , AMD FX(tm)-8320

Hors ligne

Pied de page des forums